<?php 

function businessone_setup() {

	if (!isset($content_width)){
		$content_width = 1200;
	}

	load_theme_textdomain( 'business-one', get_template_directory() . '/lang' );	
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'html5', array( 'search-form', 'comment-form', 'comment-list' ) );
	add_theme_support( 'post-thumbnails');
	add_theme_support( 'title-tag');

	register_nav_menus(array(
		'primary' => esc_html__( 'Primary', 'business-one' ),
	));
	
}

add_action( 'after_setup_theme', 'businessone_setup' );



function businessone_scripts_styles() {
	
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ){
		wp_enqueue_script( 'comment-reply' );
	}

	/* CSS */
	wp_enqueue_style( 'businessone-style', get_stylesheet_uri(), array(), '' );	
	wp_enqueue_style( 'bootstrap', get_template_directory_uri().'/css/bootstrap.css');	
	wp_enqueue_style( 'fontawesome', get_template_directory_uri().'/css/font-awesome.css');
	wp_enqueue_style( 'magnific-popup', get_template_directory_uri().'/css/magnific-popup.css');
	wp_enqueue_style( 'owlcarousel', get_template_directory_uri().'/css/owl.carousel.css');
	wp_enqueue_style( 'businessone-main', get_template_directory_uri().'/css/style.css');

	if(!class_exists('Redux')){
		wp_enqueue_style( 'businessone-default', get_template_directory_uri().'/css/default.css');
	}


	/* jQuery */	
	wp_enqueue_script('jquery-masonry');
	wp_enqueue_script('counterup',get_template_directory_uri().'/js/counterup.js',array('jquery'),'',true);
	wp_enqueue_script('waypoints',get_template_directory_uri().'/js/waypoints.js',array('jquery'),'',true);
	wp_enqueue_script('magnific-popup',get_template_directory_uri().'/js/magnific-popup.js',array('jquery'),'',true);
	wp_enqueue_script('owlcarousel',get_template_directory_uri().'/js/owl.carousel.js',array('jquery'),'',true);
	wp_enqueue_script('fitvids',get_template_directory_uri().'/js/fitvids.js',array('jquery'),'',true);
	wp_enqueue_script('function',get_template_directory_uri().'/js/function.js',array('jquery'),'',true);


}

add_action( 'wp_enqueue_scripts', 'businessone_scripts_styles');



function businessone_shop_scripts(){
	wp_enqueue_style( 'woocommerce-style', get_template_directory_uri().'/woocommerce/css/style.css');
}
add_action('wp_enqueue_scripts','businessone_shop_scripts',99);